import javax.servlet.*;
import junit.framework.*;
import org.apache.cactus.*;

public class FortuneTellerServletTestCase extends ServletTestCase {
	private FortuneTellerServlet servlet;	

	public FortuneTellerServletTestCase(String name) {
		super(name);
	}
	
	protected void setUp() throws ServletException {		
		servlet = new FortuneTellerServlet();
		servlet.init(config);
	}
	
	protected void tearDown() {}
	
	public void beginDoPost(WebRequest theRequest) {
		theRequest.addParameter("NAME", "TEST", WebRequest.POST_METHOD);
		theRequest.addParameter("MAIL", "sample@test.jp", WebRequest.POST_METHOD);
		theRequest.addParameter("BLOOD_TYPE", "A", WebRequest.POST_METHOD);
	}
	
	public void testDoPost() {
		try {
			assertEquals("POST", request.getMethod());
			servlet.doPost(request, response);
			assertNotNull(request.getAttribute("FTB"));
		}
		catch(Exception ex) {
			fail(ex.toString());
		}
	}
	
	public void endDoPost(WebResponse theResponse) {
		String contents = theResponse.getText();
		assertTrue(contents.indexOf("TEST") != -1);
	}
}
